List FPP Clients
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppClients
Lists clients of a given FPP server
Request
Query Parameters
-
limit: integer(int32)
Limit count of the items in the responseExample:
10 -
page: string
Marker indicating the next set (page) of itemsExample:
b2Zmc2V0OjA -
serverId(required): string
ID of the FPP server
-
sort: string
Comma separated list of fields along with an optional sort direction. The supported attribute of sorting is 'targetName'.Valid sort directions are 'asc' and 'desc'. If sort direction is not specified, 'asc' is used by default.Example:
targetName:asc
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. FPP clients retrieved.
Root Schema : schema
Match All
Show Source
-
object
allOf
FppClientCollection
List of FPP clients registered with the FPP Server
Nested Schema : FppClientCollection
Type:
objectList of FPP clients registered with the FPP Server
Show Source
-
items: array
items
Array of clients
-
serverTargetId: string
ID of the FPP server target
-
serverTargetName: string
Name of the FPP server target
-
serverTargetType: string
Type of the FPP server target
Match All
List of FPP clients registered with the FPP Server
Show Source
-
object
Pagination
Collection of items with links
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
A link
-
previous: object
Link
A link
-
self: object
Link
A link
Examples
400 Response
Bad Request.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
403 Response
Forbidden.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
404 Response
Not Found.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty